### Virtual Method

# Camel MessageInfo get_preview

since: 3.42

#### Declaration [src]

    const gchar*
    get_preview (
      const CamelMessageInfo* mi
    )

#### Description

No description available.

Available since: 3.42

#### Return value

Type: `const gchar*`

Body preview of the associated message, or `NULL`, when not available.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.